package com.ibiz.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.client.model.IOrgUser;
import com.ibiz.util.SearchContext;

/**
 * 实体[OrgUser] 服务对象接口
 */
public interface IOrgUserClientService{

    public IOrgUser createModel() ;

    public void remove(IOrgUser orguser);

    public void save(IOrgUser orguser);

    public void update(IOrgUser orguser);

    public void checkKey(IOrgUser orguser);

    public void getDraft(IOrgUser orguser);

    public void create(IOrgUser orguser);

    public void get(IOrgUser orguser);

    public Page<IOrgUser> fetchDefault(SearchContext context);

}
